<?php
namespace Service;

use Doctrine\ORM\EntityManager;
use Util\InstanceProvider;
use Zeedhi\DevOps\Util\Utilities AS DevOpsUtilities;
use Zeedhi\DevOps\Model\Projectmanagement\Entities;
use Zeedhi\DevOps\Model\Devops\Entities as EntitiesDevops;
use Util\Utilities;

class Structure
{
    /**
     * @var EntityManager
     */
    private $entityManager;

    public function __construct(EntityManager $entityManager)
    {
         $this->entityManager = $entityManager;
    }

    public function findStructureFieldNext()
    {
        $return = InstanceProvider::getRepository()->getLocalStructure()->findStructureFieldNext();
        $return['data'] = Utilities::fixParentsForTreeGrid($return['data']);
        return $return;
    }

    public function getAllStructuresChildrens($structureIds){
        return InstanceProvider::getRepository()->getStructure()->getAllStructuresChildrens($structureIds);
    }

    public function getAllStructuresChildrensByManager($resourceIds){
        return InstanceProvider::getRepository()->getStructure()->getAllStructuresChildrensByManager($resourceIds);
    }
}
